Skip to content
Docs

API reference / Operations by tag

goals

Conversion goals (events) of an offer.

5 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.

Operations

MethodPathSummary
GET/goals/{id}Get Goal
PATCH/goals/{id}Update Goal
DELETE/goals/{id}Delete Goal
GET/offers/{id}/goalsList offer goals
POST/offers/{id}/goalsCreate offer goal

GET /goals/{id}

Get Goal

Operation getGoalsId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200okapplication/json Goal
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/goals/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "external_ref": ""
}

PATCH /goals/{id}

Update Goal

Operation patchGoalsId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes

Request body (application/json, required): GoalUpdate

FieldTypeFlagsDescription
namestring
keystring
typeenum: public, private, partner_specific
is_base_conversionboolean
partner_idsarray of string
event_categoryenum: install, registration, lead, sale, deposit, ftd, subscription, trial, purchase, level, retention, custom
revenue_semanticsenum: fixed, from_sale_amount, from_param
track_multiboolean
is_postback_disabledboolean
is_enforce_capsboolean
is_must_approveboolean
is_allow_duplicateboolean
default_statusenum: approved, pending, rejected, cancelled
blacklist_postback_partnersarray of string
whitelist_postback_partnersarray of string
kpi_window_daysinteger
validation_rulesarray of object (free-form)
global_advertiser_event_idstring
StatusDescriptionBody
200okapplication/json Goal
defaulterrorapplication/json Error
bash
curl -X PATCH 'https://api.metrixed.com/v1/goals/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"name":"","key":"","type":"public","is_base_conversion":false}'

Example 200 response:

json
{
  "external_ref": ""
}

DELETE /goals/{id}

Delete Goal

Operation deleteGoalsId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
204okapplication/json Ok
defaulterrorapplication/json Error
bash
curl -X DELETE 'https://api.metrixed.com/v1/goals/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 204 response:

json
{
  "ok": false
}

GET /offers/{id}/goals

List offer goals

Operation getOffersIdGoals. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200okapplication/json GoalList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/offers/<id>/goals' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}

POST /offers/{id}/goals

Create offer goal

Operation postOffersIdGoals. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes

Request body (application/json, required): GoalCreate

FieldTypeFlagsDescription
namestringrequired
keystringrequired
typeenum: public, private, partner_specific
is_base_conversionboolean
partner_idsarray of string
event_categoryenum: install, registration, lead, sale, deposit, ftd, subscription, trial, purchase, level, retention, custom
revenue_semanticsenum: fixed, from_sale_amount, from_param
track_multiboolean
is_postback_disabledboolean
is_enforce_capsboolean
is_must_approveboolean
is_allow_duplicateboolean
default_statusenum: approved, pending, rejected, cancelled
blacklist_postback_partnersarray of string
whitelist_postback_partnersarray of string
kpi_window_daysinteger
validation_rulesarray of object (free-form)
global_advertiser_event_idstring
StatusDescriptionBody
201okapplication/json Goal
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/offers/<id>/goals' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"name":"","key":""}'

Example 201 response:

json
{
  "external_ref": ""
}